#!/usr/bin/perl

# Show Broker Input - Debugging utility.
# Enable in the broker config file like so:
# command: ^sbi$
# {
#    action  = filter;
#    checkauth = true;
#    execute = /p4/common/hms/scripts/sbi.pl;
# }

use strict;

my $Log="$ENV{LOGS}/sbi.log";
my $Output;

open (LOG, ">$Log") or die "\nError: Log is bogus!\n";

while (<STDIN>) {
   print LOG;
}

close (LOG);

$Output = `/bin/cat $Log 2>&1`;

print "action: REJECT\n";
print "message: \"$Output\"\n";

exit (1);
